/// <reference types="react" />
import * as React from 'react';
import { ContextProps } from './connectField';
export declare type FieldsProp = {
    length: number;
    map: (fn: (el: string, index: number) => any) => any[];
    push: () => void;
    pop: () => void;
    unshift: () => void;
    shift: () => void;
    insert: (index: number) => void;
    remove: (index: number) => void;
    swap: (index1: number, index2: number) => void;
    move: (from: number, to: number) => void;
};
export declare type SuppliedProps = {
    fields: FieldsProp;
};
export declare type FieldArrayProps = {
    name: string;
    children?: React.ReactElement<any>;
};
declare const Contexted: React.StatelessComponent<FieldArrayProps & {
    name: string;
}> & {
    WrappedComponent?: React.ComponentClass<FieldArrayProps & {
        name: string;
    } & ContextProps> | undefined;
};
export default Contexted;
